/**
 Theme Name:   Dimensee Compro
 Theme URI:    https://dimensee.com
 Description:  Dimensee Compro Theme Child
 Author:       Dimensee Digital
 Author URI:   https://dimensee.com
 Template:     blocksy
 Version:      1.0.0
 Text Domain:  blocksy-child
*/


/* HEADER  */

@media screen and (min-width: 768px) {
	body .ct-header li.button-style a {
		box-shadow: 0 8px 8px -5px #EC4115;
		width: 140px;
		height: 40px;
		background-color: #EC4115;
		border-radius: 100px;
		color: #FFFFFF !important;
		font-size: 18px !important;
		margin-left: 25px;
		padding: 0;
	}

	body .ct-header .pll-parent-menu-item .sub-menu {
		min-width: 0;
		width: auto;
		background: #F8F8F8;
		border-radius: 14px;
	}

	body .ct-header .pll-parent-menu-item .sub-menu a {
		color: #5D0059;
	}
}

@media screen and (max-width: 768px) {
	header.ct-header .ct-container {
		padding: 0 20px !important;
		width: 100% !important;
	}

	header.ct-header .ct-container .site-branding img {
		margin-top: -15px;
	}
}

/* HOMEPAGE */

/* Section 1 */
.section-1 {
	position: unset !important;
}

.section-1::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	height: 500px;
	width: 482px;
	background: #F8F8F8;
	border-bottom-right-radius: 200px;
}

.section-1 .heading-1 h2 { 
	font-weight: bold;
}

.section-1 .heading-2 h2 { 
	font-weight: 600;
	font-size: 36px;
}

.typing-container #feature-text-en,
.typing-container #feature-text-id {
	font-size: 60px;
    font-weight: 700;
    z-index: 99;
    position: relative;
}

.typing-container .input-cursor {
	display: inline-block;
	width: 2px;
	height: 60px;
	background-color: #000000;
	margin-left: 8px;
	animation: blink 0.6s linear infinite alternate;
}

@keyframes blink {
	0% {
		opacity: 1;
	}
	40% {
		opacity: 1;
	}
	60% {
		opacity: 0;
	}
	100% {
		opacity: 0;
	}
}

@media screen and (max-width: 768px) {
	.section-1::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		height: 480px;
		width: calc(100% - 60px);
		background: #F8F8F8;
		border-bottom-right-radius: 200px;
	}

	.elementor-widget-container h2 {
		margin: 0 -50px;
	}
	
	.elementor-widget-container h1 {
		margin: 0 -50px;
	}

	.typing-container #feature-text-en,
	.typing-container #feature-text-id {
		font-size: 32px !important;
	}

	.typing-container .input-cursor {
		height: 36px !important;
	}
}
/* End Section 1 */

/* Section 2 */
.section-2-bg .elementor-widget-wrap {
	margin-left: 200px;
}

#service .heading-1 h2{
	font-size: 20px;
}

#service .heading-2 h2{
	font-size: 36px;
	line-height: 50px;
}

.gallery {
	margin-top: -150px !important;
}

/* .gallery .elementor-column {
	margin-bottom: 20px;
} */

.what-we-do-bg::before {
	content: '';
    background: #5d0059;
    display: block;
    position: absolute;
    width: 75%;
    height: 100%;
    right: 0;
	top: 0;
	bottom: 0;
    border-radius: 12px 0 0 200px;
}

.what-we-do-bg.left::before {
	background: #F8F8F8;
	width: 60%;
}

@media screen and (min-width: 768px) {
	#service::before {
		content: "";
		position: absolute;
		top: 10px;
		right: 0;
		height: 100%;
		width: 75%;
		background: #5D0059;
		border-radius: 0 0 0 200px;
	}

	.gallery {
		margin-top: -330px !important;
	}
}

@media screen and (max-width: 768px) {
	.section-2-bg .elementor-widget-wrap {
		background-color: white !important;
	}
	
	#service .heading-2 h2{
		font-size: 22px !important;
		line-height: 30px !important;
		color: black;
	}

	.what-we-do-bg::before {
		width: 100% !important;
		border-radius: 0 !important;
	}
}
/* End Section 2 */

/* Section 3 */
.card {
	margin-top: 40px;
}

.card-img {
	height: 100% !important;
}

.card-caption p {
	margin-bottom: 15px !important;
}


.card-title h3 {
	margin-bottom: 20px !important;
	line-height: normal;
	overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.card-text p {
	margin-bottom: 30px !important;
	line-height: normal;
	overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
/* End Section 3 */

/* Section 4 */
.section-4 .heading-1 h2 {
	font-size: 48px;
	font-weight: normal;
	line-height: 65px;
}

.btn-get-started a {
	font-size: 18px !important;
	letter-spacing: 2px;
}
/* End Section 4 */
/* END HOMEPAGE */


/* CONTACT PAGE */
.text-left h2 {
	line-height: 70px;
    font-size: 50px;
    font-weight: normal;
}

.content-right {
	padding-top: 125px;
	padding-bottom: 125px;
}

.contact-form .nf-form-fields-required {
	display: none;
}

.contact-form .nf-field-element .nf-element {
	background-color: transparent !important;
	border: none !important;
	border-bottom: 1px solid #FFFFFF80 !important;
	color: #FFFFFF80 !important;
	padding-left: 0;
}

.contact-form .nf-field-element textarea {
	height: 100px !important
}

.contact-form .nf-field-element .button {
	color: #ffffff !important;
	font-weight: bold !important;
	background-color: #EC4115 !important;
	border-radius: 27px;
	border: none !important;
	padding: 15px 40px 15px 40px;
	margin-top: 60px;
	line-height: 0;
}

.nf-response-msg p {
	color: #ffffff;
}

.nf-error.field-wrap .nf-field-element:after {
	display: none;
}

.page-id-259 .ct-footer > div:first-child,
.page-id-2313 .ct-footer > div:first-child {
	display: none !important;
}

.what-we-do-style .elementor-column {
	padding: 10px;
}

.what-we-do-style:not(.detail-2) > .elementor-container {
	margin-left: -10px;
	margin-right: -10px;
}

.what-we-do-style:not(.detail-2) > .elementor-container > .elementor-column {
	width: 27% !important;
}

.what-we-do-style:not(.detail-2) > .elementor-container > .elementor-column:last-child {
	width: 19% !important;
}

.what-we-do-style .elementor-widget-wrap {
	/* background-color: #FAFAFA; */
	border-radius: 14px;
	transition: all 0.2s ease-in-out;
}

/* .what-we-do-style .elementor-widget-wrap:hover {
	background-color: #FFFFFF;
	box-shadow: 0 10px 20px -20px rgba(0,0,0,0.8);
} */

/* .what-we-do-style .elementor-widget-wrap .elementor-widget-container {
	padding: 40px;
} */

.what-we-do-style .elementor-widget-wrap .elementor-widget-container .elementor-icon-box-title {
	color: #5d0059 !important;
	font-size: 24px !important;
	line-height: 1.3em !important;
}

.what-we-do-style .elementor-widget-wrap .elementor-widget-container .elementor-icon-box-description {
	font-size: 14px;
	color: #061322;
}

.what-we-do-style .elementor-widget-button {
	height: 100%;
}

.what-we-do-style .elementor-widget-button a.elementor-button {
	display: flex;
    position: absolute;
    right: 0;
    left: 0;
    top: 0;
    bottom: 0;
    height: 100%;
    border-radius: 14px;
    align-items: center;
    justify-content: center;
    background: #ec4015;
}

.what-we-do-style .elementor-widget-button a.elementor-button span {
	color: #FFFFFF;
    font-size: 24px;
    font-weight: 600;
    line-height: 1.4em;
}

.what-we-do-style .elementor-widget-button a.elementor-button:hover {
	background: #FFFFFF;
	box-shadow: 0 0px 20px -5px #ec4015;
}

.what-we-do-style .elementor-widget-button a.elementor-button:hover span {
	color: #ec4015;
}

.what-we-do-style.detail-2 .elementor-widget-wrap {
	background-color: #F8F8F8;
	border: 1px solid #F8F8F8;
	border-radius: 14px;
	transition: all 0.2s ease-in-out;
}

.what-we-do-style.detail-2 .elementor-widget-wrap .elementor-widget-container {
	padding: 30px;
}

.what-we-do-style.detail-2 .elementor-widget-wrap .elementor-widget-container .elementor-icon-box-title {
	font-size: 16px !important;
	font-weight: 600;
}

.what-we-do-style .eael-elements-flip-box-flip-card .eael-elements-flip-box-front-container .eael-elements-flip-box-heading {
	margin: 0;
}

.what-we-do-style .eael-elements-flip-box-flip-card .eael-elements-flip-box-rear-container .eael-elements-flip-box-content p {
	line-height: 1.4em;
	font-size: 16px !important;
}

.what-we-do-style .eael-elements-flip-box-flip-card .eael-elements-flip-box-rear-container .eael-elements-flip-box-icon-image {
	display: none !important;
}

@media screen and (max-width: 768px) {
	.contact-form .nf-field-element .button {
		font-size: 14px;
		padding: 12px 40px 12px 40px;
		width: 100%;
	}
	
	.submit-wrap {
		text-align: center;
		margin-top: -30px;
	}

	.what-we-do-style:not(.detail-2) > .elementor-container {
		display: grid !important;
		grid-template-columns: 50% 50% !important;
	}

	.what-we-do-style:not(.detail-2) > .elementor-container > .elementor-column,
	.what-we-do-style:not(.detail-2) > .elementor-container > .elementor-column:last-child {
		width: 100% !important;
	}

	.what-we-do-style .eael-elements-flip-box-flip-card .eael-elements-flip-box-front-container .eael-elements-flip-box-heading {
		font-size: 16px !important;
		margin-top: 10px !important;
	}

	.what-we-do-style .eael-elements-flip-box-flip-card .eael-elements-flip-box-rear-container .eael-elements-flip-box-padding {
		padding: 15px !important;
	}
}
/* END CONTACT PAGE */


/* SERVICE PAGE */
.service-text1 h2 {
	font-size: 20px;
}

.service-text2 h2 {
	font-weight: normal;
	line-height: normal;
	font-size: 36px;
}

/* Card */
.card-container .eael-grid-post .eael-entry-wrapper {
	padding: 40px 0 0 0;
}

.card-container .eael-grid-post-holder {
	border: none;
	border-radius: 15px;
	margin-bottom: 40px;
}

.elementor-390 .elementor-element.elementor-element-2f01802 .eael-entry-content p {
	margin-top: 15px;
	margin-left: 40px;
	margin-right: 40px;
	color: #061322 !important;
}

.elementor-390 .elementor-element.elementor-element-2f01802 .eael-post-elements-readmore-btn {
	color: #ffffff !important;
	font-size: 16px;
	font-weight: 500;
	background-color: #5D0059;
	padding: 20px;
	text-align: center;
	margin-top: 40px;
	border-bottom-left-radius: 15px;
	border-bottom-right-radius: 15px;
}

@media screen and (max-width: 768px) {
	.eael-entry-title {
		margin-left: 40px !important;
		margin-right: 40px !important;
	}
	
	.card-container .eael-grid-post .eael-entry-wrapper {
		margin-bottom: -30px;
	}
}

@media screen and (min-width: 768px) {
	.elementor-390 .elementor-element.elementor-element-2f01802 .eael-entry-title a {
		margin: 0 40px;
		color: #061322 !important;
		font-size: 24px;
	}
}
/* End card */
/* END SERVICE PAGE */



/* CASE STUDY PAGE */
.card-img-right .elementor-widget-wrap {
	border-top-right-radius: 14px;
	border-bottom-right-radius: 14px;
}
/* END CASE STUDY PAGE */

/* ERROR 404  */

body.error404 .search-form {
	display: none !important;
}

body.error404 .site-main .ct-container {
	padding: 20vh 0;
}

body.error404 .site-main .ct-container .search-form input {
	border-radius: 100px;
}

@media screen and (max-width: 768px) {
	body.error404 .site-main .ct-container {
		padding: 8vh 0 10vh;
	}
}

/* FORM  */
.nf-pass.field-wrap .nf-field-element:after {
	display: none !important;
}

.single-post .ct-sidebar .ct-widget {
	background: #f8f8f8;
    padding: 24px;
    border-radius: 14px;
}

.single-post .ct-sidebar .ct-widget .wp-block-heading {
	font-size: 22px;
	margin-bottom: 10px;
}

.single-post .ct-sidebar .ct-widget .wp-block-latest-posts li {
	font-size: 16px;
    margin-bottom: 10px;
}

.single-post .entry-content {
	margin-top: 0 !important;
}

.single-post .entry-content * {
	font-size: 18px;
}

.single-post .entry-content > ol,
.single-post .entry-content > ul {
	padding-left: 20px;
}

.single-post .entry-content > ol > li > p,
.single-post .entry-content > ul > li > p {
	margin-left: -20px;
}

.single-post .entry-content > ol li::marker,
.single-post .entry-content > ul li::marker,
.single-post .entry-content h2,
.single-post .entry-content h2,
.single-post .entry-content h2 b,
.single-post .entry-content h2 b {
	font-size: 24px !important;
    font-weight: bold;
}